# PyWebfinger

A Python webserver that loosely implements the Webfinger spec [RFC7033](https://www.rfc-editor.org/rfc/rfc7033#section-3.0).

Shamelessly stolen from [this Authentik GitHub issue](https://github.com/goauthentik/authentik/issues/5440#issuecomment-1682856454) while I wait for Authentik to provide something themselves. Some small modifications were made to make it configurable using environment variables.

A healtcheck endpoint was also added to ensure everything is running smoothly.

## Running

### Docker CLI
```bash
docker run -d --name pywebfinger \
    -e ISSUER_URL=https://auth.example.com/application/o/example/
    -p 8000:8000
    git.mrmeeb.stream/mrmeeb/pywebfinger:latest
```
### Docker Compose
```yaml
services:
  pywebfinger:
    image: git.mrmeeb.stream/pywebfinger:latest
    container_name: pywebfinger
    restart: unless-stopped
    ports:
      - 8000:8000
    environment:
      - ISSUER_URL=https://auth.example.com/application/o/example/
```